Package ghidra.formats.gfilesystem.fileinfo

# Enum Class FileAttributeType

java.lang.Object
java.lang.Enum<FileAttributeType>
ghidra.formats.gfilesystem.fileinfo.FileAttributeType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileAttributeType>`, `Constable`

public enum FileAttributeType extends Enum<FileAttributeType>
Well known types of file attributes.

Uncommon information about a file should be added to the `FileAttributes` collection as an `UNKNOWN_ATTRIBUTE` with a custom display name.

When adding new attribute types to this enum, add them adjacent to other types of the same `category`. The enum ordinal controls display ordering.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESSED_DATE_ATTR`
  `COMMENT_ATTR`
  `COMPRESSED_SIZE_ATTR`
  `CREATE_DATE_ATTR`
  `FILE_TYPE_ATTR`
  `FILENAME_EXT_OVERRIDE`
  `FSRL_ATTR`
  `GROUP_ID_ATTR`
  `GROUP_NAME_ATTR`
  `HAS_GOOD_PASSWORD_ATTR`
  `IS_ENCRYPTED_ATTR`
  `MODIFIED_DATE_ATTR`
  `NAME_ATTR`
  `PATH_ATTR`
  `PROJECT_FILE_ATTR`
  `SIZE_ATTR`
  `SYMLINK_DEST_ATTR`
  `UNIX_ACL_ATTR`
  `UNKNOWN_ATTRIBUTE`
  `USER_ID_ATTR`
  `USER_NAME_ATTR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  Returns the display name of this attribute type.
  `FileAttributeTypeGroup`
  `getGroup()`
  Returns the `group` this attribute belongs in.
  `Class<?>`
  `getValueType()`
  Returns the class the value should match.
  `static FileAttributeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileAttributeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FSRL_ATTR

    public static final FileAttributeType FSRL_ATTR

  - ### NAME_ATTR

    public static final FileAttributeType NAME_ATTR

  - ### PATH_ATTR

    public static final FileAttributeType PATH_ATTR

  - ### FILE_TYPE_ATTR

    public static final FileAttributeType FILE_TYPE_ATTR

  - ### PROJECT_FILE_ATTR

    public static final FileAttributeType PROJECT_FILE_ATTR

  - ### SIZE_ATTR

    public static final FileAttributeType SIZE_ATTR

  - ### COMPRESSED_SIZE_ATTR

    public static final FileAttributeType COMPRESSED_SIZE_ATTR

  - ### CREATE_DATE_ATTR

    public static final FileAttributeType CREATE_DATE_ATTR

  - ### MODIFIED_DATE_ATTR

    public static final FileAttributeType MODIFIED_DATE_ATTR

  - ### ACCESSED_DATE_ATTR

    public static final FileAttributeType ACCESSED_DATE_ATTR

  - ### USER_NAME_ATTR

    public static final FileAttributeType USER_NAME_ATTR

  - ### USER_ID_ATTR

    public static final FileAttributeType USER_ID_ATTR

  - ### GROUP_NAME_ATTR

    public static final FileAttributeType GROUP_NAME_ATTR

  - ### GROUP_ID_ATTR

    public static final FileAttributeType GROUP_ID_ATTR

  - ### UNIX_ACL_ATTR

    public static final FileAttributeType UNIX_ACL_ATTR

  - ### IS_ENCRYPTED_ATTR

    public static final FileAttributeType IS_ENCRYPTED_ATTR

  - ### HAS_GOOD_PASSWORD_ATTR

    public static final FileAttributeType HAS_GOOD_PASSWORD_ATTR

  - ### SYMLINK_DEST_ATTR

    public static final FileAttributeType SYMLINK_DEST_ATTR

  - ### COMMENT_ATTR

    public static final FileAttributeType COMMENT_ATTR

  - ### FILENAME_EXT_OVERRIDE

    public static final FileAttributeType FILENAME_EXT_OVERRIDE

  - ### UNKNOWN_ATTRIBUTE

    public static final FileAttributeType UNKNOWN_ATTRIBUTE

- ## Method Details

  - ### values

    public static FileAttributeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileAttributeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayName

    public String getDisplayName()
    Returns the display name of this attribute type.
    Returns:
      string display name

  - ### getGroup

    public FileAttributeTypeGroup getGroup()
    Returns the `group` this attribute belongs in.
    Returns:
      `FileAttributeTypeGroup`

  - ### getValueType

    public Class<?> getValueType()
    Returns the class the value should match.
    Returns:
      expected class of the value